[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: [kfreebsd] massive report for uninstallable FUSE packages

On Sat, Jul 16, 2011 at 04:10:18PM +0200, Robert Millan wrote:
> Hi!
> There are 23 packages in unstable which can't be installed on Debian
> GNU/kFreeBSD because of their unconditional dependency on fuse-utils.
> On this platform, fuse4bsd should be used instead.
> I indent to file one bug report for each of them:
> wikipediafs sshfs smbnetfs s3ql rofs python-fuse pytagsfs plptools
> mythtvfs ntfsprogs libpam-mount libfuse-perl libconfig-model-perl
> httpfs2 gphotofs gfarm2fs fusedav fts flickrfs curlftpfs bindfs avfs
> aptfs
> using the following template:
> <template>
> Package: %package%
> Severity: important
> User: debian-bsd@lists.debian.org
> Usertags: kfreebsd
> Hi
> This package is not installable on kfreebsd-i386 or kfreebsd-amd64 because it
> depends unconditionally on fuse-utils.  Please considering adjusting the
> dependency from:
>   Depends: fuse-utils
> to:
>   Depends: fuse-utils [linux-any] | fuse4bsd [kfreebsd-any]
> If it requires fuse-utils specifically because of the command-line functionality
> in that package (and not just to obtain a FUSE daemon), please reply to this
> bug report so we can try to find a solution.

IIRC, that's actually a requirement of libfuse itself, not directly from the
packages using libfuse. So why shouldn't that be libfuse's job to depend
on these? For the very few rdeps that *don't* rely on the API that uses


Reply to: